## osmo-bts 0.4.0

=== contrib/sysmobts-calib/Makefile ===
CFLAGS=`pkg-config --cflags libosmocore` -Wall -Werror
LIBS=`pkg-config --libs libosmocore libosmogsm`

all: sysmobts-calib

sysmobts-calib: sysmobts-calib.o sysmobts-layer1.o
	$(CC) $(CPPFLAGS) $(LDFLAGS) -o $@ $^ -lrt $(LIBS)

clean:
	@rm -f sysmobts-calib *.o

=== debian/changelog ===
osmo-bts (0.4.0-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove redundant dependency of dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

osmo-bts (0.4.0-2) unstable; urgency=medium

  * debian/man/osmobts-trx.txt:
    - Fixed formatting issue
  * debian/rules:
    - Fixed reproducibility issue with date in man page
    - Print test results in case of a failure

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 08 Jun 2016 23:31:28 +0200

osmo-bts (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #806584)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 28 May 2016 10:01:24 +0200

=== debian/control ===
Source: osmo-bts
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 10),
               pkg-config,
               libosmocore-dev,
               openbsc-dev,
               libosmo-abis-dev,
               libgps-dev,
               libortp-dev,
               txt2man
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/osmo-bts.git
Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/osmo-bts.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS

Package: osmo-bts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Base Transceiver Station for GSM
 OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
 following protocols/interfaces:
    LAPDm (GSM 04.06)
    RTP
    A-bis/IP in IPA multiplex
    OML (GSM TS 12.21)
    RSL (GSM TS 08.58)
 .
 OsmoBTS is modular and has support for multiple back-ends. A back-end talks to
 a specific L1/PHY implementation of the respective BTS hardware. Based on this
 architecture, it should be relatively easy to add a new back-end to support
 so-far unsupported GSM PHY/L1 and associated hardware.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d "`dpkg-parsechangelog --show-field Date`" +"%d %B %Y")

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-openbsc=/usr/include/osmocom --enable-trx
	#dh_auto_configure -- --with-openbsc=/usr/include/osmocom --enable-trx --enable-sysmocom-bts

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

override_dh_clean:
	dh_clean
	$(RM) debian/man/osmobts-trx.1
	$(RM) tests/package.m4
	$(RM) tests/testsuite


# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

=== debian/watch ===
version=3
http://cgit.osmocom.org/osmo-bts/ /osmo-bts/snapshot/osmo-bts-(\S+).tar.(?:bz2|gz|xz)

## osmo-bts 0.5.0.20170825

=== debian/changelog ===
osmo-bts (0.5.0.20170825) UNRELEASED; urgency=medium

  * Initial release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Fri, 25 Aug 2017 21:48:54 +0200

=== debian/control ===
Source: osmo-bts
Maintainer: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               pkg-config,
               dh-autoreconf,
               dh-systemd (>= 1.5),
               autotools-dev,
               pkg-config,
               libosmocore-dev,
               openbsc-dev,
               libosmo-abis-dev,
               libosmo-netif-dev,
               libgps-dev,
               libortp-dev,
               txt2man
Standards-Version: 3.9.8
Vcs-Browser: http://git.osmocom.org/osmo-bts/
Vcs-Git: git://git.osmocom.org/osmo-bts
Homepage: https://projects.osmocom.org/projects/osmobts

Package: osmo-bts-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: osmo-bts-trx GSM BTS with osmo-trx
 osmo-bts-trx to be used with the osmo-trx application

Package: osmo-bts-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-trx
 Make debugging possible

=== debian/rules ===
#!/usr/bin/make -f

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with=systemd --with autoreconf --fail-missing

override_dh_strip:
	dh_strip --dbg-package=osmo-bts-trx-dbg

override_dh_autoreconf:
	echo $(VERSION) > .tarball-version
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure --  --enable-trx --with-openbsc=/usr/src/osmocom/openbsc/openbsc/include/

override_dh_clean:
	dh_clean
	$(RM) tests/package.m4
	$(RM) tests/testsuite

# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

## osmo-bts 0.7.0

=== debian/changelog ===
osmo-bts (0.7.0-1build1) cosmic; urgency=medium

  * No-change rebuild for osmo soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 May 2018 09:49:16 +0200

osmo-bts (0.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #895454)
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/patches: update/remove patches

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Apr 2018 16:15:01 +0200

=== debian/control ===
Source: osmo-bts
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
               pkg-config,
               libosmocore-dev,
               openbsc-dev,
               libosmo-abis-dev,
               libgps-dev,
               libortp-dev,
               txt2man
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-bts
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-bts.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS

Package: osmo-bts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Base Transceiver Station for GSM
 OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
 following protocols/interfaces:
    LAPDm (GSM 04.06)
    RTP
    A-bis/IP in IPA multiplex
    OML (GSM TS 12.21)
    RSL (GSM TS 08.58)
 .
 OsmoBTS is modular and has support for multiple back-ends. A back-end talks to
 a specific L1/PHY implementation of the respective BTS hardware. Based on this
 architecture, it should be relatively easy to add a new back-end to support
 so-far unsupported GSM PHY/L1 and associated hardware.

## osmo-bts 0.8.1

=== debian/changelog ===
osmo-bts (0.8.1-2) unstable; urgency=medium

  * Upload to unstable
  * Move man pages to section 8

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 06 Nov 2018 21:52:40 +0100

osmo-bts (0.8.1-2~exp2) experimental; urgency=medium

  * debian/osmo-bts.cfg: Simplify configuration file
  * debian/tests: Added autopkgtest to test 'osmo-bts-trx -h'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 13:53:23 +0200

osmo-bts (0.8.1-2~exp1) experimental; urgency=medium

  * debian/control:
    - New standards version 4.2.1 - no changes
    - Suggests osmo-bsc
  * Install systemd service file but do not enable by default
  * Install /etc/osmocom/osmo-bts.cfg example configuration file
  * Rename man page file and update content
  * debian/rules:
    - Do not parse changelog with dpkg-parsechangelog explicitly
    - Create .tarball-version in override_dh_autoreconf and delete it in
      override_dh_clean

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 14:11:29 +0200

osmo-bts (0.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Jul 2018 20:51:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: osmo-bts
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-	, Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
+           Thorsten Alteholz <debian@alteholz.de>
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-config,
-               libosmocore-dev,
-               openbsc-dev,
-               libosmo-abis-dev,
+               libosmocore-dev (>= 0.11.0),
+               openbsc-dev (>= 1.1.0),
+               libosmo-abis-dev (>= 0.5.0),
                libgps-dev,
                libortp-dev,
+               libosmocoding0,
                txt2man
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-bts
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-bts.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS
@@ -21,6 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Suggests: osmo-bsc
 Description: Base Transceiver Station for GSM
  OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
  following protocols/interfaces:

=== debian/tests/control ===
Tests: can-show-help
Depends: osmo-bts

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" https://git.osmocom.org/osmo-bts refs/tags/([\d\.]+) debian uupdate

## osmo-bts 1.2.0

=== debian/changelog ===
osmo-bts (1.2.0) unstable; urgency=medium

  [ Oliver Smith ]
  * Cosmetic: virtual: l1sap.c: fix typos
  * virtual: set link quality for GSMTAP_CHANNEL_RACH
  * pcu_sock: fix endian-swapped CellID
  * gitignore: add oc2g generated files
  * log: set L1 SAPI log context
  * vty: add "logging filter l1-sapi"
  * vty.c: don't ignore get_string_value() errors
  * vty.c: avoid coverity BAD_SHIFT issues
  * osmo-bts-virtual.cfg: ms-power-control dsp -> osmo

  [ Harald Welte ]
  * ETWS Primary Notification via P1 Rest Octets
  * pcu_interface: Forward ETWS Primary Notification to PCU
  * doc: Update Abis manual RSL section with ETWS related infomration
  * osmo-bts-trx/scheduler: prevent uninitialized memory access
  * osmo-bts-trx: migrate to new generic ECU abstraction
  * rach_pass_filter(): Add information about channel type

  [ Vadim Yanitskiy ]
  * common/rsl.c: fix possible NULL-pointer dereference
  * osmo-bts-trx/scheduler: fix tx_tch_common(): do not send AMR BFI twice
  * osmo-bts-trx/scheduler: add FIXME note about FACCH/H and BFI
  * osmo-bts-trx/scheduler: fix: check rc of osmo_ecu_frame_out()
  * scheduler: fix handling of PTCCH/U and PTCCH/D logical channels
  * osmo-bts-trx/scheduler: also detect TSC for Access Bursts on PDCH
  * common/l1sap: increase ToA precision for packet Access Bursts
  * L1SAP: use RSL_CHAN_* definitions from libosmogsm
  * L1SAP: also consider RSL_CHAN_OSMO_CBCH8 as CBCH
  * L1SAP: clarify debug messages in rach_pass_filter()
  * L1SAP: do not pass unused parameter to l1sap_handover_rach()
  * L1SAP: refactor handling of Access Bursts on PDCH
  * L1SAP: properly handle 11-bit encoded RACH.ind in gsmtap_ph_rach()
  * L1SAP: use the actual ARFCN for outgoing PCUIF messages
  * L1SAP: fix gsmtap_pdch(): there can be no DATA.ind on PTCCH/U
  * L1SAP: use GSMTAP_CHANNEL_PDTCH for PDTCH blocks by default
  * L1SAP: there can be no DATA.ind primitives on PTCCH/U, reject them
  * README.md: update osmo-bts-trx specific limitations
  * osmo-bts-trx/scheduler: fix: print the last frame number in rx_data_fn()
  * osmo-bts-trx: general handling of NOPE / IDLE indications
  * osmo-bts-trx/trx_if.c: fix: always initialize bi->burst_len for NOPE.ind
  * osmo-bts-trx/trx_if.c: also print both RSSI and ToA256 for NOPE.ind
  * osmo-bts-trx/trx_if.c: fix: NOPE.ind also contains C/I field
  * pcuif_proto.h: extend RACH.ind with TRX and timeslot number fields
  * common/vty.c: fix: properly assert() the result of get_string_value()
  * common/abis.c: pass gsm_bts_trx to e1inp_sign_link_create()
  * common/abis.c: use tall_bts_ctx as talloc-context for libosmo_abis_init()
  * osmo-bts-trx/vty: ensure backwards compatibility with older config files

  [ Pau Espin Pedrol ]
  * bts-trx: Log case where no SETFORMAT is sent
  * bts-trx: Change super verbose IDLE ind not-supported line to DEBUG
  * doc: bts-models.adoc: Fix typos in rts-advance section
  * bts-trx: vty: Use API to get poweron state
  * bts.h: Remove non-existent function definitions
  * scheduler.c: Move some message log level to DEBUG
  * scheduler: Use OSMO_ASSERT instead of abort
  * l1sap: Log conn dropped due to radio link counter timeout
  * struct gsm_bts: Add model_priv pointer handing bts_model specific data
  * bts-trx: Allocate struct osmo_trx_clock_state as part of bts-trx private data
  * bts-trx: vty: Print phy link state in cmd 'show transceiver'
  * bts-trx: trx_set_bts(): Avoid double loop by checking current trx
  * bts-trx: Rework code handling poweron state
  * bts-trx: Don't reset transceiver_available in scheduler_trx.c
  * bts-trx: Get rid of messy transceiver_available state handler
  * bts-trx: Drop unused func check_transceiver_availability()
  * bts-trx: Log TRXC and TRXD socket recv()/send() failures
  * bts-trx: Time out if no clock ind recvd after RSP POWERON
  * cosmetic: bts-trx: document variable power level
  * bts-trx: loops.c: Take into account RSL CHAN ACT ms power level limits
  * loops.h: Fix missing include for struct l1sched_trx
  * power_control.c: Take into account RSL CHAN ACT ms power level limits
  * cosmetic: l1sap.c: Fix typo
  * rsl: Assign recv pwr to lchan's max ms power
  * bts-trx: Implement MS Power control loop calculations using dBm instead of ctl levels
  * rsl: Fix logged value in rx MS Power Control
  * cosmetic: Fix trailing whitespace
  * Change gsm_bts_trx field to bool and rename it
  * Change gsm_lchan field fixed to bool
  * rsl: Remove unneeded duplicate reset on some lchan fields
  * Move and rename gsm_lchan.ms_power field
  * bts-trx: loops.c: Avoid always clamping MS power to MS power class 1
  * power_control.c: Apply latests improvements from loops.c
  * power_control.c: Log rx current and target signal levels
  * power_control.c: Fix ms pwr ctrl skipped if MS doesn't support announced MS Power Level
  * Introduce BTS feature BTS_FEAT_MS_PWR_CTRL_DSP
  * power_control.c: Don't use announced MS Power level as input for loop calculations
  * power_control.c: Limit speed of announced MS Power Level value changes
  * scheduler_trx.c: cast ptrdiff value to fix printf format
  * bts-trx: Drop low layer MS Power Control Loop algo
  * rsl_rx_chan_act: Apply bitmask when parsing IE MS_POWER
  * rsl: Clarify when autnonoums MS Power Ctrl Loop is used
  * power_control.c: Log maximum allowed MS Power Level
  * power_control.c: Clarify loop algo vars and use correct ones during log
  * l1sap: is_fille_frame(): verify len of data compared

  [ Martin Hauke ]
  * Fix common misspellings and typos
  * Rename variable: CALIB_SUCESS -> CALIB_SUCCESS

  [ Philipp Maier ]
  * scheduler_trx: use gsm0502_fn_remap() to calculate frame number
  * scheduler_trx: initalize n_errors, n_bursts_bits, n_bits_total
  * scheduler_trx.c: avoid division by zero when calculating BER
  * rsl: ensure measurement reports are sent
  * l1sap.c: ensure ms power control loop is running

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 17:18:44 +0100



## osmo-bts 1.2.0.9.cb69

=== debian/changelog ===
osmo-bts (1.2.0.9.cb69) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 10 Feb 2020 01:30:14 +0000

=== debian/control ===
Source: osmo-bts
Maintainer: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               pkg-config,
               dh-autoreconf,
               dh-systemd (>= 1.5),
               autotools-dev,
               pkg-config,
               libosmocore-dev,
               libosmo-abis-dev,
               libgps-dev,
               txt2man,
               osmo-gsm-manuals-dev
Standards-Version: 3.9.8
Vcs-Browser: http://git.osmocom.org/osmo-bts/
Vcs-Git: git://git.osmocom.org/osmo-bts
Homepage: https://projects.osmocom.org/projects/osmobts

Package: osmo-bts-trx
Architecture: any
Conflicts: osmo-bts
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: osmo-bts-trx GSM BTS with osmo-trx
 osmo-bts-trx to be used with the osmo-trx application

Package: osmo-bts-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly, osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-trx
 Make debugging possible

Package: osmo-bts-virtual
Architecture: any
Conflicts: osmo-bts
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Osmocom GSM BTS (no RF hardware; GSMTAP/UDP)
 This version of OsmoBTS doesn't use actual GSM PHY/Hardware/RF, but
 utilizes GSMTAP-over-UDP frames for the Um interface.  This is useful
 in fully virtualized setups e.g. in combination with OsmocomBB virt_phy.

Package: osmo-bts-virtual-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly, osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-virtual
 Make debugging possible

Package: osmo-bts-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-bts 1.2.0.11.aea2

=== debian/changelog ===
osmo-bts (1.2.0.11.aea2) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 17 Feb 2020 01:30:14 +0000

## osmo-bts 1.2.0.16.24f98

=== debian/changelog ===
osmo-bts (1.2.0.16.24f98) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:29:06 +0000

## osmo-bts 1.2.2

=== debian/changelog ===
osmo-bts (1.2.2) unstable; urgency=medium

  * tx_power_test: Disable using color in log output

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 09 Sep 2020 16:21:45 +0200

osmo-bts (1.2.1) unstable; urgency=medium

  [ Harald Welte ]
  * fix compilation with gcc-10

  [ Pau Espin Pedrol ]
  * bts-trx: trx_if.c: Fix some printf formats

 -- Harald Welte <laforge@osmocom.org>  Sun, 26 Jul 2020 20:50:12 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: osmo-bts-trx
 Architecture: any
 Conflicts: osmo-bts
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: osmo-bts-trx GSM BTS with osmo-trx
  osmo-bts-trx to be used with the osmo-trx application
 
@@ -29,14 +29,14 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-bts-trx
  Make debugging possible
 
 Package: osmo-bts-virtual
 Architecture: any
 Conflicts: osmo-bts
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Virtual Osmocom GSM BTS (no RF hardware; GSMTAP/UDP)
  This version of OsmoBTS doesn't use actual GSM PHY/Hardware/RF, but
  utilizes GSMTAP-over-UDP frames for the Um interface.  This is useful
@@ -46,7 +46,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-bts-virtual
  Make debugging possible
 
@@ -54,7 +54,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-bts 1.2.2%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-openbsc=/usr/include/osmocom --enable-trx
	#dh_auto_configure -- --with-openbsc=/usr/include/osmocom --enable-trx --enable-sysmocom-bts

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

override_dh_clean:
	dh_clean
	$(RM) debian/man/osmobts-trx.1
	$(RM) tests/package.m4
	$(RM) tests/testsuite
	$(RM) .tarball-version .version


# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## osmo-bts 1.2.2+dfsg1

=== debian/changelog ===
osmo-bts (1.2.2+dfsg1-2build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:57:48 +0100

osmo-bts (1.2.2+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:06:35 +0000

osmo-bts (1.2.2+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971485)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Dec 2020 08:05:43 +0100

osmo-bts (1.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 20:05:43 +0000

osmo-bts (1.2.1+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 20 Aug 2020 02:57:19 +0000

osmo-bts (0.8.1-3) unstable; urgency=medium

  * add patch for gcc10 (Closes: #957651)
    Thanks to Harald Welte for the patch
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 20:51:19 +0200

=== debian/control ===
Source: osmo-bts
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
           Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               pkg-config,
               libosmocore-dev (>= 1.4.0),
               openbsc-dev (>= 1.1.0),
               libosmo-abis-dev (>= 1.0.1),
               libgps-dev,
               libortp-dev,
               libosmocoding0,
               txt2man
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-bts
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-bts.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS

Package: osmo-bts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: osmo-bsc
Description: Base Transceiver Station for GSM
 OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
 following protocols/interfaces:
    LAPDm (GSM 04.06)
    RTP
    A-bis/IP in IPA multiplex
    OML (GSM TS 12.21)
    RSL (GSM TS 08.58)
 .
 OsmoBTS is modular and has support for multiple back-ends. A back-end talks to
 a specific L1/PHY implementation of the respective BTS hardware. Based on this
 architecture, it should be relatively easy to add a new back-end to support
 so-far unsupported GSM PHY/L1 and associated hardware.

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//, repacksuffix=+dfsg1" git://git.osmocom.org/osmo-bts refs/tags/([\d\.]+) debian uupdate

## osmo-bts 1.3.0

=== debian/changelog ===
osmo-bts (1.3.0) unstable; urgency=medium

  [ Michael McTernan ]
  * measurement: use signed integer for division of ta256b_sum

  [ Vadim Yanitskiy ]
  * common/vty.c: get rid of generic exit / end commands
  * common/abis.c: make use of RSL TEI from OML IPA RSL Connect
  * L1SAP: use LOGL_DEBUG for logging from rach_pass_filter()
  * osmo-bts-sysmo/Makefile.am: fix: do not overwrite bin_PROGRAMS
  * vty: fix left shift by 31 cannot be represented in type 'int'
  * common/sysinfo: reduce criticality of a logging message
  * osmo-bts-virtual: fix wrong endianness in gsmtap_hdr_stringify()
  * osmo-bts-virtual: do not print redundant info in tx_to_virt_um()
  * osmo-bts-virtual: do not log GSMTAP message sending failure twice
  * l1sap: fix gsmtap_ph_rach(): properly pack 8-bit and 11-bit RA
  * osmo-bts-{sysmo,oc2g,lc15}: fix segfault on 'dsp-trace-flag'
  * osmo-bts-trx/scheduler: remove a left-over from UL TCH handlers
  * oml: fix oml_mo_tx_sw_act_rep(): do not allocate FOM header twice
  * fix typo in osmo_bts_variant_names: s/omso/osmo/g
  * doc/manuals: fix typo in interfaces.adoc: s/Omsocom/Osmocom/g
  * osmo-bts-omldummy: print a brief usage statement if argc < 3
  * osmo-bts-omldummy: make number of transceivers configurable
  * vty: get rid of unused ournode_{exit,end}_cmd declarations
  * vty: cosmetic: make an error message more informative
  * vty: use gsm48_chan_mode_name() from libosmocore
  * gsm_data_shared: drop unused supports_egprs_11bit_rach
  * gsm_data_shared: drop unused enum bts_gprs_mode
  * gsm_data_shared: drop unused channel request reason definitions
  * gsm_data_shared: get rid of unused HARDCODED_{ARFCN,BSIC}
  * gsm_data_shared: get rid of unused HARDCODED_BTS{0,1,2}_TS
  * gsm_data_shared: get rid of unused enum gsm_hooks
  * gsm_data_shared: drop declaration of non-existing gsm_parse_reg()
  * gsm_data_shared: drop unused A38_XOR_{MIN,MAX,COMP128}_KEY_LEN
  * gsm_data_shared: drop unused MAX_EARFCN_LIST
  * gsm_data_shared: drop unused LCHAN_SAPI_{UNUSED,MS,NET,REL}
  * gsm_data_shared: drop unused struct bts_codec_conf
  * gsm_data_shared: drop meaningless comments
  * gsm_data_shared: drop unused sacch_deact from struct gsm_lchan
  * gsm_data_shared: drop forward declaration of struct vty
  * gsm_data_shared: drop unused *nmh from struct gsm_bts
  * gsm_data_shared: drop unused dtxu from struct gsm_bts
  * gsm_data_shared: drop unused ctrl_ack_type_use_block & net_ctrl_ord
  * gsm_data_shared: drop unused rach_b_thresh & rach_ldavg_slots
  * gsm_data_shared: drop force_combined_si & bcch_change_mark
  * scheduler: drop non-existing extern declarations
  * vty: fix bts_dump_vty(): properly print OML stream ID (TEI)
  * rsl: refactor handling of RSL_IE_MR_CONFIG
  * osmo-bts-trx: prettify Makefile.am: make it git friendly
  * osmo-bts-trx: fix: use noinst_HEADERS instead of EXTRA_DIST
  * osmo-bts-virtual: cosmetic: use LID_{SACCH,DEDIC} macros
  * doc/examples: remove virtual/openbsc-virtual.cfg
  * common/scheduler: fix unreachable code in trx_sched_set_lchan()
  * common/scheduler: use boolean for channel activation state
  * osmo-bts-trx/trx_if: fix memleak in trx_ctrl_cmd_cb()
  * osmo-bts-trx/trx_if: cosmetic: s/ocommand/command/
  * oml: fix TL16V length calculation in add_bts_feat()
  * osmo-bts-trx: indicate BTS_FEAT_EGPRS support to BSC
  * gsm_data_shared: use bitvec API to allocate the feature vector
  * Do not mix public and private BTS features, use libosmocore's API
  * osmo-bts-trx/scheduler: properly handle NOPE.ind during handover
  * osmo-bts-trx: use osmo_store32be() in trx_if_send_burst()
  * osmo-bts-trx: move logical channel handlers to separate files
  * osmo-bts-trx: introduce and use struct trx_dl_burst_req
  * osmo-bts-trx: store pointer to gsm_lchan in l1sched_chan_state
  * osmo-bts-trx: include BS Power reduction in Downlink bursts
  * A-bis/RSL: refactor handling of BS Power IE (power reduction)
  * A-bis/OML: fix logging: do not print A-bis MO name twice
  * Use libosmocore's TDMA frame number API (constatns & arithmetic)
  * osmo-bts-trx: fix trx_sched_fn(): properly advance frame number
  * osmo-bts-trx/scheduler: make mark trx_sched_fn() return void
  * vty: fix missing separator in help for power ramp commands
  * osmo-bts-trx/scheduler: get rid of _sched_fcch_burst
  * A-bis/OML: handle hopping params in Set Channel Attributes
  * osmo-bts-trx/scheduler: cosmetic: move trx_if_powered() check
  * osmo-bts-trx/scheduler: get rid of unused 'meas' in l1sched_chan_state
  * l1sap: do not print redundant info in l1sap_chan_act()
  * Constify the 'trx' argument of trx_get_hlayer1() everywhere
  * common: constify the argument of trx_ms_pwr_ctrl_is_osmo()
  * pcu_sock: constify the argument of ts_should_be_pdch()
  * osmo-bts-trx/scheduler: fix CLCK.ind handling during ramping down
  * osmo-bts-trx/scheduler: refactor dummy burst scheduling
  * oml: fix ARFCN range check in oml_rx_set_radio_attr()
  * oml: fix ARFCN range check in oml_rx_set_bts_attr()
  * pcu_sock: use a 'switch' statement in ts_should_be_pdch()
  * pcu_sock: warn about maximum transceiver number constraints
  * pcu_sock: separate trx / ts filling from pcu_tx_info_ind()
  * pcu_sock: use LOGPTRX() in info_ind_fill_trx()
  * osmo-bts-trx/scheduler: implement baseband frequency hopping
  * osmo-bts-trx: indicate support of BTS_FEAT_HOPPING
  * l1sap: radio_link_timeout(): clarify logging messages
  * l1sap: radio_link_timeout(): use LOGPLCHAN() macro
  * l1sap: radio_link_timeout(): bad_frame is a boolean
  * rsl: constify the 'lchan' argument of rsl_tx_conn_fail()
  * debian/control: change maintainer to the Osmocom team / mailing list
  * osmo-bts-omldummy: enable BTS_FEAT_{CBCH,HOPPING} support
  * vty: clarify documentation of '[no] gsmtap-sapi' command
  * vty: add 'gsmtap-sapi (enable-all|disable-all)' command
  * osmo-bts-trx/trx_provision_fsm: fix misleading comment in header
  * osmo-bts-trx/trx_provision_fsm: cosmetic: switch is not a function


## osmo-bts 1.3.1

=== debian/changelog ===
osmo-bts (1.3.1) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * lchan2lch_par(): fix missing default branch in switch

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 21 Apr 2021 18:14:27 +0200

## osmo-bts 1.3.2

=== debian/changelog ===
osmo-bts (1.3.2) unstable; urgency=medium

  * osmo-bts-trx: fix hopping pointer bug in trx_sched_fn()

 -- Vadim Yanitskiy <vyanitskiy@sysmocom.de>  Thu, 20 May 2021 17:30:07 +0000

=== debian/control ===
Source: osmo-bts
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               pkg-config,
               dh-autoreconf,
               dh-systemd (>= 1.5),
               autotools-dev,
               pkg-config,
               libosmocore-dev (>= 1.5.0),
               libosmo-abis-dev (>= 1.1.0),
               libgps-dev,
               txt2man,
               osmo-gsm-manuals-dev (>= 1.1.0)
Standards-Version: 3.9.8
Vcs-Browser: http://git.osmocom.org/osmo-bts/
Vcs-Git: git://git.osmocom.org/osmo-bts
Homepage: https://projects.osmocom.org/projects/osmobts

Package: osmo-bts-trx
Architecture: any
Conflicts: osmo-bts
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: osmo-bts-trx GSM BTS with osmo-trx
 osmo-bts-trx to be used with the osmo-trx application

Package: osmo-bts-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmo-bts-trx (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-trx
 Make debugging possible

Package: osmo-bts-virtual
Architecture: any
Conflicts: osmo-bts
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Osmocom GSM BTS (no RF hardware; GSMTAP/UDP)
 This version of OsmoBTS doesn't use actual GSM PHY/Hardware/RF, but
 utilizes GSMTAP-over-UDP frames for the Um interface.  This is useful
 in fully virtualized setups e.g. in combination with OsmocomBB virt_phy.

Package: osmo-bts-virtual-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmo-bts-virtual (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts-virtual
 Make debugging possible

Package: osmo-bts-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-latest, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-bts 1.3.3

=== debian/changelog ===
osmo-bts (1.3.3) unstable; urgency=medium

  * debian/control: remove dh-systemd build-depend

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 06 Sep 2021 15:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 9),
                pkg-config,
                dh-autoreconf,
-               dh-systemd (>= 1.5),
                autotools-dev,
                pkg-config,
                libosmocore-dev (>= 1.5.0),

## osmo-bts 1.4.0

=== debian/changelog ===
osmo-bts (1.4.0) unstable; urgency=medium

  [ Philipp Maier ]
  * l1sap: Store status of SRR in an lchan struct memeber
  * l1sap: add logging and VTY introspection for ACCH repetition
  * sched_lchan_tchh: fix frame number and fill FACCH gap
  * main,abis: change model name from sysmoBTS to osmo-bts
  * paging: prioritize CS related paging over PS related pagings.
  * allow to configure multiple oml remote-ip addresses
  * sched_lchan_tch_x: do not use cmr as ft
  * sched_lchan_tch_x: use functions to determine AMR tranmssion phase
  * sched_lchan_tch_x: use ul_cmr and ul_ft when generating RTP bad frame
  * rsl: simplfy parse_repeated_acch_capability
  * rsl: parse temporary overpower value RSL CHAN ACT / MODIFY

  [ Vadim Yanitskiy ]
  * doc/examples: remove obsolete power control parameters
  * doc/examples: enable stderr logging for osmo-bts-virtual.cfg
  * osmo-bts-trx: fix: do not call trx_if_close() two times
  * osmo-bts-trx: fix segfault on trx_phy_inst_open() failure
  * l1sap: use the passed 'trx' pointer in l1sap_chan_act()
  * l1sap: use TLVP_PRES_LEN() macro in l1sap_chan_act()
  * l1sap: check BTS_FEAT_MULTI_TSC in l1sap_chan_act()
  * l1sap: fix wrong IEI and parsing in l1sap_chan_act()
  * manuals: fix wrong VTY node for 'gsmtap-sapi' command
  * manuals: document GSMTAP 'enable-all' / 'disable-all'
  * osmo-bts-trx: correct definition of 'osmotrx rx-gain' command
  * rsl: do not blindly ignore unhandled/unknown Channel Mode
  * manuals: remove deprecated command line parameters
  * manuals: document new 'gsmtap-remote-host' command
  * l1sap: fix incorrect pointer cast in l1sap_chan_act()
  * rsl: rename, fix and refactor lchan_tchmode_from_cmode()
  * rsl: add missing Channel Mode values to rsl_handle_chan_mod_ie()
  * lchan2lch_par(): fix missing default branch in switch
  * osmo-bts-trx: cosmetic: TRXD 'header version' -> 'PDU version'
  * osmo-bts-trx: remove outdated TRXD protocol documentation
  * osmo-bts-trx: cosmetic: use '#pragma once' in trx_if.h
  * osmo-bts-trx: define TRXC/TRXD message buffer size
  * osmo-bts-trx: 'burst type' is actually modulation type
  * osmo-bts-trx: move MTS parser into trx_data_parse_mts()
  * osmo-bts-trx: discard TRXD PDUs with unexpected version
  * osmo-bts-trx: move TDMA frame number check to trx_data_read_cb()
  * osmo-bts-trx: cosmetic: get rid of TRX_CHDR_LEN macro
  * osmo-bts-trx: generalize checking of TRXD header length
  * osmo-bts-trx: pass 'struct phy_instance' to TRXD dissectors
  * osmo-bts-trx: refactor handling of version specific TRXD parts
  * osmo-bts-trx: enlarge and share TRXD message buffer
  * osmo-bts-trx: assert PDU version in trx_if_send_burst()
  * osmo-bts-trx: reduce code nasting in trx_if_send_burst()
  * vty: fix the use of deprecated osmo_bts_feature_name()
  * common/abis: fix the use of deprecated e1inp_line_get() API
  * osmo-bts-trx: refactor parse_rsp(), fix compilation warnings
  * rsl: fix wrong value printed in rsl_handle_chan_mod_ie()
  * struct gsm_bts_trx: remove unused leftovers from openbsc
  * common/sysinfo: make struct gsm_bts_trx const in num_agch()
  * osmo-bts-{lc15,oc2g}: drop redundant checks in VTY commands
  * [VAMOS] struct gsm_bts_trx: fix the PHY instance pointer
  * [VAMOS] Merge bts_trx_init() into gsm_bts_trx_alloc()
  * [VAMOS] osmo-bts-trx: move {chan,bid} to trx_{dl,ul}_burst_{req,ind}
  * osmo-bts-trx: implement TRXDv2 protocol support
  * scheduler.h: cosmetic: use #pragma once
  * osmo-bts-trx: cosmetic: s/trx_sched_fn/bts_sched_fn/g
  * osmo-bts-trx: remove redundant assert() in bts_sched_fn()
  * osmo-bts-trx: fix hopping pointer bug in bts_sched_fn()
  * [VAMOS] Re-organize osmo-bts-trx specific structures
  * osmo-bts-trx: clarify logging messages in trx_if_{open,close}()
  * osmo-bts-{trx,virtual}: fix: pinst->trx may be NULL
  * common: make the arguments of phy_{link,instance}_name() const
  * [VAMOS] common: make 'struct gsm_bts_trx_ts' pointers const
  * [VAMOS] gsm_data.h: fix wrong bit-mask in BSIC2BCC macro
  * [VAMOS] gsm_data.h: introduce and use BTS_TSC macro
  * common: phy_links_open(): warn about dangling PHY instances
  * [VAMOS] osmo-bts-trx: rework and split up bts_sched_fn()
  * Fix regression in 'osmo-bts-trx: rework and split up bts_sched_fn()'
  * [VAMOS] osmo-bts-trx: implement and enable PDU batching for TRXDv2
  * [VAMOS] osmo-bts-trx: indicate MTS in Downlink TRXDv2 PDUs
  * [VAMOS] rsl_rx_mode_modif(): handle Channel Identification IE
  * [VAMOS] rsl: call bts_supports_cm() from rsl_handle_chan_mod_ie()
  * [VAMOS] bts_supports_cm(): handle RSL_CMOD_CRT_OSMO_TCH_VAMOS_{Bm,Lm}
  * [VAMOS] common/scheduler: unify symbol names for training sequences
  * [VAMOS] osmo-bts-trx: rework handling of Training Sequence
  * [VAMOS] osmo-bts-trx: properly handle per-timeslot TSC values
  * [VAMOS] scheduler: add new GMSK training sequences from 3GPP 45.002
  * [VAMOS] l1sap_chan_act(): handle Osmocom specific TSC IE
  * [VAMOS] common/oml: generalize checking BTS_FEAT_MULTI_TSC
  * [VAMOS] gsm_pchan2chan_nr(): use ABIS_RSL_CHAN_NR_CBITS_* macros
  * [VAMOS] rsl_lchan_lookup(): use ABIS_RSL_CHAN_NR_CBITS_* macros
  * [VAMOS] rsl_lchan_lookup(): make it more readable
  * [VAMOS] gsm_data: rework and rename gsm_lchan_name_compute()
  * [VAMOS] l1sap: get_lchan_by_chan_nr() may return NULL
  * [VAMOS] oml_rx_set_chan_attr(): clarify NM_ATT_CHAN_COMB handling
  * manuals/abis/rsl.adoc: s/TS 08.58/TS 48.058/
  * manuals/abis/rsl.adoc: rework Channel Number description
  * manuals/abis/rsl.adoc: add missing CBCH Channel Number values
  * manuals/abis/rsl.adoc: add VAMOS specific Channel Number values
  * osmo-bts-trx: fix NULL pointer dereference in trx_if_send_burst()
  * trx_sched_is_sacch_fn(): fix handling of dynamic timeslots
  * [VAMOS] scheduler: drop meaningless channel number checks
  * [VAMOS] conf_lchans_as_pchan(): improve readability
  * [VAMOS] Implement the concept of 'shadow' timeslots


=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-autoreconf,
                autotools-dev,
                pkg-config,
-               libosmocore-dev (>= 1.5.0),
-               libosmo-abis-dev (>= 1.1.0),
+               libosmocore-dev (>= 1.6.0),
+               libosmo-abis-dev (>= 1.2.0),
                libgps-dev,
                txt2man,
-               osmo-gsm-manuals-dev (>= 1.1.0)
+               osmo-gsm-manuals-dev (>= 1.2.0)
 Standards-Version: 3.9.8
 Vcs-Browser: http://git.osmocom.org/osmo-bts/
 Vcs-Git: git://git.osmocom.org/osmo-bts

## osmo-bts 1.4.1

=== debian/changelog ===
osmo-bts (1.4.1) unstable; urgency=medium

  * debian/control: add osmo-bts meta-package

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 21 Mar 2022 14:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,25 @@
 Vcs-Git: git://git.osmocom.org/osmo-bts
 Homepage: https://projects.osmocom.org/projects/osmobts
 
+Package: osmo-bts
+Architecture: any
+Depends: osmocom-latest, osmo-bts-trx, osmo-bts-virtual, ${misc:Depends}
+Description: Base Transceiver Station for GSM
+ OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
+ following protocols/interfaces:
+    LAPDm (GSM 04.06)
+    RTP
+    A-bis/IP in IPA multiplex
+    OML (GSM TS 12.21)
+    RSL (GSM TS 08.58)
+ .
+ OsmoBTS is modular and has support for multiple back-ends. A back-end talks to
+ a specific L1/PHY implementation of the respective BTS hardware. Based on this
+ architecture, it should be relatively easy to add a new back-end to support
+ so-far unsupported GSM PHY/L1 and associated hardware.
+
 Package: osmo-bts-trx
 Architecture: any
-Conflicts: osmo-bts
 Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: osmo-bts-trx GSM BTS with osmo-trx
  osmo-bts-trx to be used with the osmo-trx application
@@ -34,7 +50,6 @@
 
 Package: osmo-bts-virtual
 Architecture: any
-Conflicts: osmo-bts
 Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Virtual Osmocom GSM BTS (no RF hardware; GSMTAP/UDP)
  This version of OsmoBTS doesn't use actual GSM PHY/Hardware/RF, but

## osmo-bts 1.4.1+dfsg1

=== debian/changelog ===
osmo-bts (1.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 24 Mar 2022 11:03:03 +0100

osmo-bts (1.4.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Mar 2022 09:44:20 +0100

osmo-bts (1.4.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: use at least libosmocore 1.5.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Mar 2022 21:44:20 +0000

=== debian/control ===
Source: osmo-bts
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
           Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               libosmocore-dev (>= 1.5.0),
               openbsc-dev (>= 1.1.0),
               libosmo-abis-dev (>= 1.2.0),
               libgps-dev,
               libortp-dev,
               libosmocoding0,
               txt2man
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-bts
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-bts.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS

Package: osmo-bts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: osmo-bsc
Description: Base Transceiver Station for GSM
 OsmoBTS is a software implementation of Layer2/3 of a BTS. It implements the
 following protocols/interfaces:
    LAPDm (GSM 04.06)
    RTP
    A-bis/IP in IPA multiplex
    OML (GSM TS 12.21)
    RSL (GSM TS 08.58)
 .
 OsmoBTS is modular and has support for multiple back-ends. A back-end talks to
 a specific L1/PHY implementation of the respective BTS hardware. Based on this
 architecture, it should be relatively easy to add a new back-end to support
 so-far unsupported GSM PHY/L1 and associated hardware.
